3

I have installed a new wifi adapter (Intel AX210NGW) on my Acer Aspire 5 (515-54G-53GP), running Ubuntu 18.04.5 LTS, kernel 5.4.0-58-generic but, the system does not recognize it ("WiFi adapter not found"). The Intel website give info about the prior models only (AX200 and AX201) and do not give any info about the AX210 support on the Linux kernel. Does anybody have info (or prediction) about when we will have the Linux kernel (and Ubuntu himself) supporting this newer Wifi from Intel ?

Here is the results of lspci with:

The original wifi adapter (ac 1x1 standard):

sillas@lorena-acer:~$ lspci -nnk | grep 0280 -A3
04:00.0 Network controller [0280]: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter [168c:0042] (rev 31)
    Subsystem: Lite-On Communications Inc QCA9377 802.11ac Wireless Network Adapter [11ad:08a6]
    Kernel driver in use: ath10k_pci
    Kernel modules: ath10k_pci
sillas@lorena-acer:~$

The new adapter (ax 2x2 standard):

sillas@lorena-acer:~$ lspci -nnk | grep 0280 -A3
04:00.0 Network controller [0280]: Intel Corporation Device [8086:2725] (rev 1a)
    Subsystem: Intel Corporation Device [8086:0024]
05:00.0 Non-Volatile memory controller [0108]: Sandisk Corp Device [15b7:5003] (rev 01)
    Subsystem: Sandisk Corp Device [15b7:5003]
sillas@lorena-acer:~$
3
  • Please edit your question to show the result of the terminal command: lspci -nnk | grep 0280 -A3 Welcome to Ask Ubuntu.
    – chili555
    Dec 20, 2020 at 15:34
  • The machine was released in June 2020. You will probably need one of the newer releases of Ubuntu to get the WiFi to work. Are you able to use 20.04 or 20.10?
    – user1091774
    Dec 20, 2020 at 15:41
  • See askubuntu.com/questions/1295662/…
    – Pilot6
    Dec 31, 2020 at 18:21

2 Answers 2

1

The AX210NGW requires at least Kernel version 5.10, which was only very recently released. I currently do not know, when Ubuntu will include that, maybe others do.

2
  • 1
    Could you please tell me where did you found this info about the AX210 requires kernel 5.10 ? Jan 1, 2021 at 13:27
  • @SillasOliveira Link to the information is provided in my answer - pulled from the wireless drivers list from wireless.wifi.kernel.org.
    – Thomas Ward
    Apr 30, 2021 at 3:25
1

According to the Wireless Drivers list for iwlwifi on wireless.wifi.kernel.org, Wifi 6E support which is what the AX210NGW card has is only supported by Linux kernel versions 5.10 and up. This means that you need a version of Ubuntu using Linux kernel 5.10.

Short of running a mainline kernel (which is not officially supported on Ubuntu), the only version of Ubuntu with a version of the Linux kernel that works with the AX210 card from Intel is Ubuntu Hirsute Hippo 21.04 which was released last week.

You will need to either use a newer kernel or upgrade to Ubuntu Hirsute Hippo 21.04.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.